Bug 184295 - libnotify seems to not be working, at least not for battery notifications on laptops
libnotify seems to not be working, at least not for battery notifications on ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libnotify (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 16:16 EST by Suzanne Hillman
Modified: 2013-03-13 00:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 09:34:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-03-07 16:16:04 EST
Description of problem:
libnotify seems to not be doing anything, at least based on a complete lack of a
message when one unplugs the power on a laptop. 

Running "notify-send foo bar" (on dmalcolm's suggestion) has no results at all.

This is seen on an acer Aspire and on a fujitsu lifebook.

Version-Release number of selected component (if applicable):
libnotify-0.3.0-5

How reproducible:
Always

Steps to Reproduce:
1. Log into X on a laptop machine running the latest rawhide for today
2. Unplug the power cable
  
Actual results:
See no message telling you about it.


Expected results:
Message telling you that you're on battery power.

Additional info:
Comment 1 Christopher Aillon 2006-03-08 13:38:33 EST
So, dwalsh and I spent some time with this yesterday.  This is only a problem on
new installs.  Perhaps a race in the install, but it happens on subsequent
reboots too.  The only way we found to fix this was to reload the selinux
policy.  Once that was done, it worked from then on.  The policy is right, its
just that dbus isn't getting it for some reason...
Comment 2 David Nielsen 2006-06-07 03:25:35 EDT
I don't know if this is the same bug but on Development using libnotify-0.4.0-1
I'm not seeing any notifications from applications that used to like rhythmbox
in notification-area.
Comment 3 John (J5) Palmieri 2006-06-07 09:34:36 EDT
The new notification-daemon that replaces notify-daemon is in the new package
process and will be available shortly.

Note You need to log in before you can comment on or make changes to this bug.